#
# spec file for package perl-Graph
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Graph
Version:        0.9704
Release:        2.5
%define cpan_name Graph
Summary:        Graph Data Structures and Algorithms
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Graph/
Source0:        http://www.cpan.org/authors/id/J/JH/JHI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
graph data structures and algorithms

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes DESIGN README RELEASE TODO util

%changelog
* Sat Oct 10 2015 coolo@suse.com
- updated to 0.9704
  see /usr/share/doc/packages/perl-Graph/Changes
  0.9704 2015-10-07  Jarkko Hietaniemi  <jhi@iki.fi>
  - rt.cpan.org 107567: edges() missing on undirected multiedged graph:
    was broken in 0.96, had been fixed somewhere there and here,
    added the test case
  - rt.cpan.org 107600: no modify Storable $VERSION
* Fri Oct  2 2015 coolo@suse.com
- updated to 0.9703
  see /usr/share/doc/packages/perl-Graph/Changes
  0.9703 2015-09-29  Jarkko Hietaniemi  <jhi@iki.fi>
  - document (at user level) the openbsd random problem
  - using the 5.22+ Inf was done the wrong way:
    https://github.com/neilbowers/Graph/issues/1
  0.9702 2015-09-28  Jarkko Hietaniemi  <jhi@iki.fi>
  - rt.cpan.org 107394 $Storable::VERSION may contain underscores
  - follow-up to rt.cpan.org 104687: more docs, fixes, and tests for
    diameter/radius/shortest_path/center_vertices/vertex_eccentricity
    for corner cases like empty graph, single-vertex graphs, and
    in general unconnected graphs
  - for perl 5.22 or later one should be able to use Inf for Infinity
  - openbsd before perl 5.20 had nondeterministic rand()
* Wed Sep 23 2015 coolo@suse.com
- updated to 0.97
  see /usr/share/doc/packages/perl-Graph/Changes
* Wed Jun  5 2013 coolo@suse.com
- updated to 0.96
  * Address rt.cpan.org #85449:
    "Graph-0.94 tests fail under perl 5.18.0"
  * Address rt.cpan.org #82324:
    "Test failures due to hash randomisation in perl 5.17.6"
    The two above fixes were the same: the biconnectedness
    code was rewritten from scratch.  The new code behaves
    differently (but I believe more correctly) on certain
    edge cases, in general it will generate more biconnected
    components and bridges, for example for "a=b=c" it will
    now return the same two biconnected components and bridges
    (cut edges), namely "a=b" and "b=c", the "b" of course being
    the articulation point (cut vertex).
  * Address rt.cpan.org #67213:
    "[PATCH] pod fixes"
  * Remove the t/u_bo.t and t/u_bo1.t since they die in 5.18 due
    to some strange failure, looks unrelated to Graph as such,
    probably some fix/change made by newer Perls.
  * Release as 0.95.
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug  2 2010 chris@computersalat.de
- initial package 0.94
  * created by cpanspec 1.78
